import type { Room } from "matrix-js-sdk/src/matrix";
import ScalarAuthClient from "../ScalarAuthClient";
export declare enum Kind {
    Account = "account",
    Config = "config",
    Homeserver = "homeserver"
}
export declare class IntegrationManagerInstance {
    readonly kind: string;
    readonly apiUrl: string;
    readonly uiUrl: string;
    readonly id?: string | undefined;
    constructor(kind: string, apiUrl: string, uiUrl?: string, id?: string | undefined);
    get name(): string;
    get trimmedApiUrl(): string;
    getScalarClient(): ScalarAuthClient;
    open(room: Room, screen?: string, integrationId?: string): Promise<void>;
}
